/*
 * Copyright (C) Sureshot 2002
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; see the file COPYING.  If not, write to
 * the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * Review history:
 *
 */

package se.bysoft.sureshot.util.string;

/**
 * Various helper methods working on strings or string buffers.
 *
 * @author Roger Karlsson
 * @since  September 11, 2002
 */
public class StringHelper 
{
    /**
     * Replace the first occurence in the string.
     *
     * @param replaceIn  The string where the replace operation is performed.
     * @param searchFor  The string that is replaced.
     * @param replaceWith  The string that is inserted instead of searchFor.
     */
    public static void replaceFirst(final StringBuffer replaceIn,
                                    final String searchFor,
                                    final String replaceWith)
    {
        final int start = replaceIn.toString().indexOf(searchFor);
        if (start == -1)
        {
            return;
        }
        final int end = start + searchFor.length();
        replaceIn.replace(start, end, replaceWith);
    }
}
